summaryrefslogtreecommitdiff
path: root/script/vendor/inject
diff options
context:
space:
mode:
Diffstat (limited to 'script/vendor/inject')
-rwxr-xr-xscript/vendor/inject4
1 files changed, 3 insertions, 1 deletions
diff --git a/script/vendor/inject b/script/vendor/inject
index db8004e4..93017cec 100755
--- a/script/vendor/inject
+++ b/script/vendor/inject
@@ -39,7 +39,9 @@ main()
check_board()
{
- if ! check_release "${archive}" ; then
+ failcheck="n"
+ check_release "${archive}" || failcheck="y"
+ if [ "${failcheck}" = "y" ]; then
[ -f "${rom}" ] || \
err "check_board: \"${rom}\" is not a valid path"
[ -z "${rom+x}" ] && \